Tickets

Tickets

View tickets

get
Query parameters
per_pageintegerOptional

Number of items per page

Default: 15
pageintegerOptional

Page number

Default: 1
searchstringOptional

Search term

Responses
chevron-right
200

Successful operation

application/json
dataobject[]Optional
get
/api/SmsUsers/Ticketsuser

Get details of a specific ticket

get
Path parameters
idintegerRequired

ID of the ticket

Responses
chevron-right
200

Successful operation

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: tickets
dataobjectOptional
get
/api/SmsUsers/Tickets/{id}

Update a ticket

put
Path parameters
idintegerRequired

ID of the ticket to update

Body
titlestring · max: 255OptionalExample: Updated ticket title
contentstring · max: 65535OptionalExample: Updated ticket content
Responses
chevron-right
200

Successful operation

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: ticket
dataobjectOptional
put
/api/SmsUsers/Tickets/{id}

Create a new ticket

post
Body
titlestring · max: 255RequiredExample: Issue with SMS delivery
contentstring · max: 65535RequiredExample: I'm experiencing problems with SMS delivery. Messages are not being sent.
Responses
chevron-right
200

Successful operation

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: ticket
dataobjectOptional
post
/api/SmsUsers/Tickets

Add a reply to a ticket

post
Path parameters
idintegerRequired

ID of the ticket to reply to

Body
contentstring · max: 65535OptionalExample: This is a reply to the ticket
Responses
chevron-right
200

Successful operation

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: tickets_replay
dataobjectOptional
post
/api/SmsUsers/replay/{id}

Last updated